Package fr.gouv.vitam.common.client.configuration

# Class SecureClientConfigurationImpl

java.lang.Object
fr.gouv.vitam.common.client.configuration.ClientConfigurationImpl
fr.gouv.vitam.common.client.configuration.SecureClientConfigurationImpl

All Implemented Interfaces:
  `ClientConfiguration`, `SecureClientConfiguration`

public class SecureClientConfigurationImpl extends ClientConfigurationImpl implements SecureClientConfiguration
SecureClientConfiguration interface's implementation

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SecureClientConfigurationImpl()`
  Empty SecureClientConfiguration constructor for YAMLFactory
  `SecureClientConfigurationImpl(String serverHost, int serverPort)`
  ClientConfiguration constructor
  `SecureClientConfigurationImpl(String serverHost, int serverPort, boolean secure)`
  ClientConfiguration constructor
  `SecureClientConfigurationImpl(String serverHost, int serverPort, boolean secure, SSLConfiguration sslConfiguration)`
  ClientConfiguration constructor
  `SecureClientConfigurationImpl(String serverHost, int serverPort, boolean secure, SSLConfiguration sslConfiguration, boolean hostnameVerification)`
  ClientConfiguration constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SSLConfiguration`
  `getSslConfiguration()`
  Must return the value of a 'sslConfiguration' attribute
  `boolean`
  `isHostnameVerification()`
  Must return the value of a 'hostnameVerification' attribute
  `boolean`
  `isSecure()`
  Must return the value of a 'secure' attribute
  `SecureClientConfigurationImpl`
  `setHostnameVerification(boolean hostnameVerification)`
  `SecureClientConfigurationImpl`
  `setSecure(boolean secure)`
  `SecureClientConfigurationImpl`
  `setSslConfiguration(SSLConfiguration sslConfiguration)`

  ### Methods inherited from class fr.gouv.vitam.common.client.configuration.ClientConfigurationImpl

  `getServerHost, getServerPort, setServerHost, setServerPort`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface fr.gouv.vitam.common.client.configuration.ClientConfiguration

  `getServerHost, getServerPort, setServerHost, setServerPort`

- ## Constructor Details

  - ### SecureClientConfigurationImpl

    public SecureClientConfigurationImpl()
    Empty SecureClientConfiguration constructor for YAMLFactory

  - ### SecureClientConfigurationImpl

    public SecureClientConfigurationImpl(String serverHost, int serverPort)
    ClientConfiguration constructor
    Parameters:
      `serverHost` - server IP address
      `serverPort` - server port
    Throws:
      `IllegalArgumentException` - if serverHost is null or empty or serverPort <= 0

  - ### SecureClientConfigurationImpl

    public SecureClientConfigurationImpl(String serverHost, int serverPort, boolean secure)
    ClientConfiguration constructor
    Parameters:
      `serverHost` - server IP address
      `serverPort` - server port
      `secure` - HTTP/HTTPS
    Throws:
      `IllegalArgumentException` - if configuration param is null or empty or serverPort <= 0

  - ### SecureClientConfigurationImpl

    public SecureClientConfigurationImpl(String serverHost, int serverPort, boolean secure, SSLConfiguration sslConfiguration)
    ClientConfiguration constructor
    Parameters:
      `serverHost` - server IP address
      `serverPort` - server port
      `secure` - HTTP/HTTPS
      `sslConfiguration` -
    Throws:
      `IllegalArgumentException` - if configuration param is null or empty or serverPort <= 0

  - ### SecureClientConfigurationImpl

    public SecureClientConfigurationImpl(String serverHost, int serverPort, boolean secure, SSLConfiguration sslConfiguration, boolean hostnameVerification)
    ClientConfiguration constructor
    Parameters:
      `serverHost` - server IP address
      `serverPort` - server port
      `secure` -
      `sslConfiguration` -
      `hostnameVerification` -
    Throws:
      `IllegalArgumentException` - if any configuration param is null or empty or serverPort <= 0

- ## Method Details

  - ### isSecure

    public boolean isSecure()
    Description copied from interface: `ClientConfiguration`
    Must return the value of a 'secure' attribute
    Specified by:
      `isSecure` in interface `ClientConfiguration`
    Overrides:
      `isSecure` in class `ClientConfigurationImpl`
    Returns:
      secure = false : HTTP, secure = true : HTTPS

  - ### isHostnameVerification

    public boolean isHostnameVerification()
    Description copied from interface: `SecureClientConfiguration`
    Must return the value of a 'hostnameVerification' attribute
    Specified by:
      `isHostnameVerification` in interface `SecureClientConfiguration`
    Returns:
      HostnameVerification

  - ### getSslConfiguration

    public SSLConfiguration getSslConfiguration()
    Description copied from interface: `SecureClientConfiguration`
    Must return the value of a 'sslConfiguration' attribute
    Specified by:
      `getSslConfiguration` in interface `SecureClientConfiguration`
    Returns:
      SSLConfiguration

  - ### setHostnameVerification

    public SecureClientConfigurationImpl setHostnameVerification(boolean hostnameVerification)
    Parameters:
      `hostnameVerification` - the hostnameVerification to set
    Returns:
      this

  - ### setSecure

    public SecureClientConfigurationImpl setSecure(boolean secure)
    Parameters:
      `secure` - the secure to set
    Returns:
      this

  - ### setSslConfiguration

    public SecureClientConfigurationImpl setSslConfiguration(SSLConfiguration sslConfiguration)
    Parameters:
      `sslConfiguration` - the sslConfiguration to set
    Returns:
      this